searchandrescue (1.5.0)
  [ Jesse Smith <jessefrgsmith@yahoo.ca> ]
  * Added path information for alpha arch in Platforms.ini file.
  * Removed old configure dependencies for Y2 sound system. It
    is no longer supported.
  * Added new configure target "BSD".
  * Switched default compiler for BSD to Clang/Clang++.
    For now, compilers are the only differences between the
    Linux and BSD targets, allowing us to test GCC vs Clang.
  * Cleaned up compiler-specific build flags.
  * Code clean-up to avoid compiler warnings. SAR now
    compiles cleanly with Clang 3.0.


searchandrescue (1.4.0)
  [ Jesse Smith <jessefrgsmith@yahoo.ca> ]
  * Fixed configure/build issue which would prevent either new
    or old graphics drawing styles from being used properly.
  * Added to platforms list, new platforms provided by
    Nobuhiro.
  * Crash sounds only play once inistead of looping.
    (Patch provided by Hector)
  * B-47 helicopter no longer hovers above the landing pad upon landing.


searchandrescue (1.3.0)
  [ Jesse Smith <jessefrgsmith@yahoo.ca> ]
  * Cockpit HUD now displays both altitude above sea level
    and above ground level (AGL).
  * Updated v3dtex.c to use smooth edges, rather than blocks. Makes
    objects and terrain look smoother.
    Patch supplied by Hector.
    This behaviour can be reverted to use the old blocks by
    editing sar/Makefile and changing the NEW_GRAPHICS flag to
    OLD_GRAPHICS (line 5).
  * Made it possible to crash into fire.
    Patch provided by Hector.
  * Smoke now rises in more varied ways, rather than straight up.
    Thanks to Hector for providing this patch.
  * Improved SDL joystick support and removed old joystick library
    code. Updated controller menu.
    New joystick code provided by Hector.
  * Replaced old mid music files with new wav files.
    Thanks to Hector for performing the conversion.


searchandrescue (1.2.0)
  [ Jesse Smith <jessefrgsmith@yahoo.ca> ]
  * Applied patch which will cause alert humans to
    wave their arms, even if they do not need rescue.
    This allows "friends" of unaware victims to wave
    at the player.
    Patch supplied by Hector.
  * Applied patch which notifies the game if a passenger moves to,
    and boards, the helicopter.
    Patch supplied by Hector.
  * No longer spam console with messages about creating fires.
  * Updated data file with fix for B47 aircraft. Helicopter could
    crash too easily.
    Patch provided by Dennis.
  * Disabled libjsw (JS_SUPPORT), the legacy joystick support.
    We use SDL now and the two were conflicting.
  * When engine is turned off, engine sounds stop. Turning engine
    back on (with sound enabled) resumes engine sounds.


searchandrescue (1.1.0)
  [ Jesse Smith <jessefrgsmith@yahoo.ca> ]
  * Added SDL joystick code. Provided by Phil.
  * Fixed configure script to place defines for HAVE_SDL_MIXER
    and to link to the SDL and SDL_mixer libraries.
    This should work for Linux and UNIX systems.
  * Default to using SDL sound if both Y and SDL options are available.
  * Removed thrown exceptions in string.cpp which casused compile
    issues on FreeBSD.
  * Fixed some compiler warnings on FreeBSD.
  * Full screen mode can be turned off using "--window" parameter
    on the command line.
  * Added new, larger window resolutions.
  * New window resolutions are available from the Options menu.
  * The game now allows keys to auto-repeat. Which is generally normal
    behaviour on the operating system. If this causes game play issues,
    key auto-repeating can be turned off using the command line
    parameter "--no-keyrepeat".
  * Screen now clears itself between menus to avoid clutter.
  * Makefile now installs icon to correct directory.


searchandrescue (1.0.0)
  [ Jesse Smith <jessefrgsmith@yahoo.ca> ]
  * Fixed Makefile, updates and typoes.
    Fixes provided by Neil.
  * Updated config.h file with proper spelling.
    Provided by Neil
  * Updated install and man documents.
    Provided by Neil
  * Added Data file install script (installsardata).
    Script provided by Neil.
  * Testing sound now works on the Options screen, even if
    sounds were muted in the previous game.
  * Added sound modes (on/off) support on the Sound options page.
  * Disabled Map button in Campaign briefing to avoid
    mixing the campaign with pre-set missions.
  * Added installsardata script, which automates installing
    Data files from the top-level directory.
    Script provided by Neil.
  * Fixed local string library to avoid compiler fault on FreeBSD.
  * Fixed Makefile include statement to work on FreeBSD.


searchandrescue (0.9.0)
  [ Jesse Smith <jessefrgsmith@yahoo.ca> ]
  * Created random campaign mode, which generates a random SAR mission.
  * Added sarcamp.h and sarcamp.c to the source tree and Makefile.
  * Added code to sound.h and sound.c which uses the SDL_Mixer library.
    This allows SAR to use either the Yiff sound library or SDL_Mixer
    library. SDL is preferred as Yiff appears to be discontinued.
  * Added flares to campaign missions on Cataline island. Helps the pilot
    find victims who are hidden in the hills.
  * Victims near the Coast Guard ship should now be drawn as being in
    the water, not on the water.
  * Fixed reported position of coast guard ship.
  * Fire now sits on top of the land, not under hills.


searchandrescue (0.8.4)
  [ Jesse Smith <jessefrgsmith@yahoo.ca> ]
  * Added new, non-training, missions.
  * Fixed compiler warning in cp.c
  * Fixed compiler warning in gctl.c and cpfio.c
  * Fixed pointer assignment warning in gwx.c and
    commented out unused function.
  * Fixed unused variable warning in sarmenuoptions.c
  * Initialised variable in simulties.c
  * Fixed compile warnings in string.cpp and disk.cpp
  * Updated dialog code to take advantage of compiler optimisation.
  * Updated title screen with new project URL.


searchandrescue (0.8.3)
  [ Jesse Smith <jessefrgsmith@yahoo.ca> ]
  * Applied Ubuntu-specific patches.
  * Fixed menuobjview code to make sure SAR compiles on karmic.
  * Airplanes can now taxi to their helipad destination to
    complete a mission. They do not need to land perfectly on the pad.
  * Added four new missions.
  * Added throttle short-cut keys. 1, 2, 3 ... 0 now set the throttle.
  * Throttle pre-sets are now mentioned on Help screen.


searchandrescue (0.8.2-10ubuntu1) karmic; urgency=low

  [ Scott Kitterman ]
  * Drop build-depend on libjsw-dev (being removed due to GTK 1.2 removal)
    - Update package description and README.Debian to remove reference to
      libjsw and joystick support
  * Add missing #include <stdio.h> in sar/gctl.c

  [ Stefan Potyra ]
  * sar/string.cpp, include/string.h: Disable strcasestr if _GNU_SOURCE
    is defined, as this function is already part of (e)glibc as a
    _GNU_SOURCE extension.

 -- Stefan Potyra <sistpoty@ubuntu.com>  Sun, 13 Sep 2009 02:17:31 +0200

searchandrescue (0.8.2-10) unstable; urgency=low

  * Add desktop file (closes: 476962).
  * Remove old x-dev and libglu1 build-dependencies, added libglu1-mesa-dev.
  * Bump standards-version to 3.8.0.

 -- Phil Brooke <pjb@debian.org>  Fri, 18 Jul 2008 07:17:50 +0100

searchandrescue (0.8.2-9) unstable; urgency=low

  * Fixed broken clean target causing FTBFS (closes: #457346).
  * Add better watch file, on suggestion from Raphael Geissert.

 -- Phil Brooke <pjb@debian.org>  Thu, 27 Dec 2007 14:47:24 +0000

searchandrescue (0.8.2-8) unstable; urgency=low

  * Update to standards-version 3.7.3: 
      * Modified debian/menu.
  * Applied patches:
      * From Brian M. Carlson to fix FTBFS (closes: 387117).
      * From Lior Kaplan to make binNMU safe (modifies depends to
        source:Version) (closes: 435953).
      * Thanks.
  * Removed debian/watch (closes: 449876).
  * Modified sar/Makefile.install.UNIX so that final binaries are not
    stripped when using DEB_BUILD_OPTIONS=nostrip (closes: 438011).
  * Replaced DH_COMPAT in debian/rules with debian/compat.
  * No longer ignore errors in clean target in debian/rules.
  * Homepage moved in debian/control.

 -- Phil Brooke <pjb@debian.org>  Fri, 21 Dec 2007 12:59:41 +0000

searchandrescue (0.8.2-7) unstable; urgency=low

  * Modifying string.cpp to fix FTBFS with gcc-snapshot package
    (pre-release of GCC 4.2) (closes: 377175).

 -- Phil Brooke <pjb@debian.org>  Wed, 26 Jul 2006 20:40:17 +0000

searchandrescue (0.8.2-6) unstable; urgency=low

  * Applying patch from Daniel Schepler to fix FTBFS.  Removes linking 
    with Xi (closes: 370177).
  * Bumped standards-version to 3.7.2.

 -- Phil Brooke <pjb@debian.org>  Thu,  8 Jun 2006 11:40:52 +0000

searchandrescue (0.8.2-5) unstable; urgency=low

  * Replaced build-depends xlibs-dev with libx11-dev, libxext-dev,
    libxpm-dev, libxxf86vm-dev, x-dev.
  * Also added libsm-dev, libxmu-dev as build-depends.

 -- Phil Brooke <pjb@debian.org>  Wed,  4 Jan 2006 16:38:10 +0000

searchandrescue (0.8.2-4) unstable; urgency=low

  * Added Recommends for yiff-server (closes: 332937).

 -- Phil Brooke <pjb@debian.org>  Tue,  3 Jan 2006 21:34:04 +0000

searchandrescue (0.8.2-3) unstable; urgency=low

  * Changed build dependency from xlibmesa-dev to libglu1-xorg-dev 
    (closes: 328151).
  * Bumped standards-version to 3.6.2.
  * prerm now uses bash, not sh.

 -- Phil Brooke <pjb@debian.org>  Wed, 14 Sep 2005 07:57:16 +0100

searchandrescue (0.8.2-2) unstable; urgency=low

  * Applied patch from Andreas Jochens to allow searchandrescue to build 
    on amd64 with gcc-4.0 (closes: 289495).
  * Modified debian/control to adjust the version dependency on 
    searchandrescue-data.

 -- Phil Brooke <pjb@debian.org>  Mon, 10 Jan 2005 20:40:01 +0000

searchandrescue (0.8.2-1) unstable; urgency=low

  * New upstream release (closes: 287351).
  * Updated control file to be stricter about searchandrescue-data and
    searchandrescue-common versions.
  * Updated description to start with lowercase letter.
  * Fixed menu entry.
  * Moved xpm icon files to /usr/share/pixmaps.
  * Updated copyright file.

 -- Phil Brooke <pjb@debian.org>  Sat,  8 Jan 2005 15:36:48 +0000

searchandrescue (0.8.1-4) unstable; urgency=low

  * Removed explicit dependency on GCC/G++ 3.2 in favour of the 
    (default) 3.3 versions (closes: 236452).
  * Changed package dependencies from xlibmesa3-glu to xlibmesa-glu.

 -- Phil Brooke <pjb@debian.org>  Sat, 13 Mar 2004 16:05:59 +0000

searchandrescue (0.8.1-3) unstable; urgency=low

  * Patched menu.c (patch provided by upstream) to fix apparent 
    double-buffering problem in menus (closes: 215458).

 -- Phil Brooke <pjb@debian.org>  Sun, 19 Oct 2003 10:57:06 +0100

searchandrescue (0.8.1-2) unstable; urgency=low

  * Didn't properly remove doc-base directory, hopefully it's really 
    gone this time (closes: 215461).

 -- Phil Brooke <pjb@debian.org>  Mon, 13 Oct 2003 07:37:08 +0100

searchandrescue (0.8.1-1) unstable; urgency=low

  * New upstream release (closes: 204261).
  * Required later release of YIFF sound server: change version of
    build-depends on liby-dev.
  * Newer standards-version (3.6.1.0).
  * Upstream appears to have no docs directory now, so relevant
    debian/rules removed.  This leaves searchandrescue-common a bit
    empty -- but we'll keep it for now. .doc-base removed.

 -- Phil Brooke <pjb@debian.org>  Sun, 12 Oct 2003 09:00:00 +0100

searchandrescue (0.7.21-3) unstable; urgency=low

  * Updated build-depends again for new libjsw (closes: #190984).

 -- Phil Brooke <pjb@debian.org>  Wed, 30 Apr 2003 08:11:43 +0100

searchandrescue (0.7.21-2) unstable; urgency=low

  * Updated build-depends again to sort out FTBFS bug on some
    architectures relating to libGLU.so (closes: #184702).

 -- Phil Brooke <pjb@debian.org>  Fri, 28 Mar 2003 20:49:26 +0000

searchandrescue (0.7.21-1) unstable; urgency=low

  * New upstream release.
  * searchandrescue-common now contains only a small amount of
    documentation, because upstream now separately distribute a data
    tgz, so we create a separate source package called
    searchandrescue-data which generates a binary of the same name.
  * Now build-depends on bzip2 so that we can bunzip2 the man page.
  * Fixed typo in searchandrescue-common description (closes: #177121).
  * Standards update to 3.5.9.0.
  * Updated build-depends for libGLU.so (closes: #184702).

 -- Phil Brooke <pjb@debian.org>  Fri, 21 Mar 2003 15:37:29 +0000

searchandrescue (0.7.20-7) unstable; urgency=low

  * Split this package into two: the main binary package, plus an
    architecture independent searchandrescue-common. (closes: #168754).
  * Changed rules to use debhelper compatibility level 4.
  * Update to standards version 3.5.8.0.
  * Overriding lintian warning: menu-icon-missing.
  * Removed unnecessary Provides: sar.
  * Fixed build-depends (xlibmesa-dev).

 -- Phil Brooke <pjb@debian.org>  Sun, 12 Jan 2003 14:32:55 +0000

searchandrescue (0.7.20-6) unstable; urgency=low

  * Remove postinst /usr/doc/ symlink.
  * Fixed problem when building in chroot (closes: #166596).

 -- Phil Brooke <pjb@debian.org>  Wed, 30 Oct 2002 19:55:52 +0000

searchandrescue (0.7.20-5) unstable; urgency=low

  * Rebuilding using gcc/g++-3.2 (closes: #160106).
  * Sorted out prerm and postinst for /usr/doc symlink.

 -- Phil Brooke <pjb@debian.org>  Wed, 11 Sep 2002 15:55:55 +0100

searchandrescue (0.7.20-4) unstable; urgency=low

  * Changed build-depends so that nvidia-glx-dev can be used instead
    of mesag-dev.
  * libY2 and libjsw: clarified dependencies (closes: #152167).
    Modified README and control files.

 -- Phil Brooke <pjb@debian.org>  Tue, 16 Jul 2002 12:32:15 +0100

searchandrescue (0.7.20-3) unstable; urgency=low

  * Now using gcc/g++ -3.1 so that we build correctly on arm. 
    (closes: #146253)

 -- Phil Brooke <pjb@debian.org>  Thu, 30 May 2002 10:21:41 +0000

searchandrescue (0.7.20-2) unstable; urgency=low

  * Folded in bug fix after advice from upstream, using patch from Adam
    Majer.  Also added g++-3.0 as build-dependency. (closes: #144704)

 -- Phil Brooke <pjb@debian.org>  Sun, 28 Apr 2002 06:46:25 +0000

searchandrescue (0.7.20-1) unstable; urgency=low

  * New upstream release
  * Folded in previous NMU changes (closes: #140752)
  * New maintainer (closes: #116578)
  * Added comment about yiff-server to README.Debian (closes: #136032)
  * Change to sarsimbegin.c to allow compilation

 -- Phil Brooke <pjb@debian.org>  Thu, 18 Apr 2002 15:35:54 +0000

searchandrescue (0.7.15-3.1) unstable; urgency=low

  * NMU
  * rebuild against liby2-12.
  * stricter versioned build-depends on liby2-dev

 -- Junichi Uekawa <dancer@debian.org>  Mon,  1 Apr 2002 14:42:08 +0900

searchandrescue (0.7.15-3) unstable; urgency=low

  * rebuild against new version of libjsw (closes: #129718) 
  * put url on control

 -- David Kimdon <dwhedon@debian.org>  Sat, 26 Jan 2002 23:30:41 -0800

searchandrescue (0.7.15-2) unstable; urgency=low

  * Remove i486 and up x86 optimization flags, fixes Illegal 
  instruction on AMD k6 (closes: #116056)
  * remove emacs cruft from changelog (fixes lintian error)

 -- David Kimdon <dwhedon@debian.org>  Tue, 27 Nov 2001 23:50:49 -0800

searchandrescue (0.7.15-1) unstable; urgency=low

  * New upstream release

 -- David Kimdon <dwhedon@debian.org>  Mon,  8 Oct 2001 21:32:43 -0700

searchandrescue (0.7e-4) unstable; urgency=low

  * fix build failure on hppa (closes: #104870) 

 -- David Kimdon <dwhedon@debian.org>  Wed, 25 Jul 2001 08:16:23 -0600

searchandrescue (0.7e-3) unstable; urgency=low

  * don't build-depend on libc6-dev, it is build-essential
  * upstream source location has moved, update debian/watch
  * SearchAndRescue.xpm was in wrong place

 -- David Kimdon <dwhedon@debian.org>  Sat, 14 Jul 2001 10:33:10 -0700

searchandrescue (0.7e-2) unstable; urgency=low

  * don't try to install into / fs during build (closes: #101384)
  * fix some misspellings

 -- David Whedon <dwhedon@debian.org>  Mon, 18 Jun 2001 21:13:44 -0700

searchandrescue (0.7e-1) unstable; urgency=low

  * New upstream release

 -- David Whedon <dwhedon@debian.org>  Sun, 17 Jun 2001 19:52:05 -0700

searchandrescue (0.7d-2) unstable; urgency=low

  * move menu to proper dir, make colors and size policy compliant. 

 -- David Whedon <dwhedon@debian.org>  Thu, 10 May 2001 17:55:47 -0700

searchandrescue (0.7d-1) unstable; urgency=low

  * New upstream release. 
  * Not sure why it wasn't working, it works now (closes: #93709)

 -- David Whedon <dwhedon@debian.org>  Thu, 12 Apr 2001 00:05:01 -0700

searchandrescue (0.6-4) unstable; urgency=low

  * typo fix in debian/doc-base (closes: #79457) 

 -- David Whedon <dwhedon@gordian.com>  Tue, 12 Dec 2000 12:09:48 -0800

searchandrescue (0.6-3) unstable; urgency=low

  * remove dh_dhelp from rules (wasn't needed anyway) (closes: #79417) 

 -- David Whedon <dwhedon@gordian.com>  Tue, 12 Dec 2000 09:50:09 -0800

searchandrescue (0.6-2) unstable; urgency=low

  * Change name (closes: #77513) 
  * Compile with debugging symbols when debug is in DEB_BUILD_OPTIONS 
    (closes: #77393) 

 -- David Whedon <dwhedon@gordian.com>  Sun, 26 Nov 2000 18:38:22 -0800

sar (0.6-1) unstable; urgency=low

  * New upstream release
  * removed INSTALL and README from dos as they weren't relevant 

 -- David Whedon <dwhedon@gordian.com>  Thu, 16 Nov 2000 19:20:19 -0800

sar (0.4-1) unstable; urgency=low

  * Initial Release. (closes: #71719)

 -- David Whedon <dwhedon@gordian.com>  Sat, 14 Oct 2000 23:16:15 -0700

